> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Leave Organization

> Removes a user from an organization while preserving organization data.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Removes a user from an organization while preserving organization data.

Use this method to:

* Remove yourself from an organization
* Clean up inactive memberships
* Transfer project ownership before leaving
* Manage team transitions

### Examples

* Leave organization:

  Removes user from organization membership.

  ```yaml theme={null}
  userId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
  ```

Note: Ensure all projects and resources are transferred before leaving.

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/LeaveOrganization
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/LeaveOrganization" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "userId": "<user-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.LeaveOrganizationRequest(
      user_id="<user-id>",
  )
  response = ona.services.organization.leave_organization(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { LeaveOrganizationRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(LeaveOrganizationRequestSchema, {
      userId: "<user-id>",
    });
    const response = await ona.services.organization.leaveOrganization(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.LeaveOrganizationRequest{
  		UserId: "<user-id>",
  	})
  	response, err := ona.Services.Organization.LeaveOrganization(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "userId": "<user-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.LeaveOrganizationRequest`

| Field    | Type   | Required | Description                                     |
| -------- | ------ | -------- | ----------------------------------------------- |
| `userId` | string | Yes      | Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.LeaveOrganizationResponse`

This message has no fields.
